<?php
/**
 * Block fr
 * pragmaMx - Web Content Management System.
 * 
 * Der Block generiert aus einem String einen QRCode.
 * Weitere Infos unter http://de.wikipedia.org/wiki/QR_Code
 * 
 * Hoffe den Block kann jemand brauchen.
 * 
 * Gru Baldyman
 */

defined('mxMainFileLoaded') or die('access denied');

$mxblockcache = false;

// das ist der Text der eingegeben wird
$text = (isset($_POST['string'])) ? stripslashes($_POST['string']) : '';;

// erster Teil des Links fr das Bild
$google_app = "http://chart.apis.google.com/chart?cht=qr&chs=450x450&choe=ISO-8859-1&chl=" ;

// den eingegebenen Text nach UTF-8 Urlcodieren
$text_fertig = rawurlencode(utf8_encode($text));

// Link zur Wiki Seite
$wiki = 'http://de.wikipedia.org/wiki/QR_Code' ;

// Link zum Decodieren von Codes als Bild
$linkdecode = 'http://zxing.org/w/decode.jspx';

// Pfad zusammenstellen fr das Bild
$Google_abfrage = $google_app . $text_fertig ;

//$bild = "<div align=\"center\"><img src=\"$Google_abfrage\" alt=\"QRCode Picture\" /></div>" ;

if (!$text) {
    // Blockausgabe wenn nix drinne steht
    $content = "<span class=\"content\"><br>Bitte gibt den Text ein, fr den Du den <a href=$wiki target=\"_blank\">QRcode</a> generieren mchtest. Max. 1000 Zeichen.<br><br><a href=$linkdecode target=\"_blank\">Hier</a> kannst Du generierte Codes auch wieder auslesen.</span>";
} else {
    // Blockausgabe wenn eine Eingabe gemacht wurde
    $bildlink = "<div align=\"center\"><a href=\"$Google_abfrage\" target=\"_blank\"><img src=\"$Google_abfrage\" alt=\"QRcode\" width=\"150\" height=\"150\" /></a></div>" ;
    $content = "$bildlink <span class=\"tiny\">Der Text zum Bild war:</span>" . "<br><span class=\"content\">$text<br><br>Auf das Bild klicken fr eine gr&ouml;ssere Aufl&ouml;sung.<br><br><a href=$linkdecode target=\"_blank\">Hier</a> kannst Du generierte Codes auch wieder auslesen.</span>";
} 

// Action fuer das Formular PHP_SELF und QUERY_STRING !!
$action = $_SERVER['PHP_SELF'] . ((empty($_SERVER['QUERY_STRING'])) ? '' : '?' . $_SERVER['QUERY_STRING']);

// Ausgabepuffer starten, um HTML-Ausgabe in die Variable $content einlesen zu koennen
ob_start();

// Formular fr die Eingabe
?>
<div align="center">
<form action="<?php echo $action ?>" method="post">
	<input name="string" type="text" tabindex="0" value="<?php echo $text ?>" size="18" maxlength="1000">
	<br>
	<br>
	<input type="submit" value="Code generieren" tabindex="1">
</form>
</div>
<?php
// HTML-Ausgabe in die Variable $content einlesen, bzw. dazufuegen
$content .= ob_get_clean();

?>